package com.aiotagro.cattletrade.constant;

import lombok.Getter;

@Getter
public enum WarningStatusEnum {
    /**
     * 牲畜类型
     */
    CATTLE(0, "盘点正常"),
    SHEEP(1, "距离正常"),
    PIG(2, "主机盘点耳标数量与登记数量不一致"),
    DEER(3, "未达到预定行驶距离");

    private final int value ;
    private final String description ;

    WarningStatusEnum(int value, String desc) {
        this.value = value;
        this.description = desc;
    }
}
